import type { ZodTypeAny } from 'zod';
import type { UnwrapRef } from 'vue';
type Errors<T> = Record<keyof T, {
    message: string;
    errorCode: string;
    path: (string | number)[];
}[]>;
type ValidationResult<T> = {
    values: UnwrapRef<T>;
    errors: Errors<T>;
    isValid: boolean;
};
export declare const useZodValidator: <T>(schema: ZodTypeAny, initialValues: T) => {
    values: import("vue").Ref<UnwrapRef<T>>;
    errors: [Errors<T>] extends [import("vue").Ref<any>] ? import("vue").Ref<any> & Errors<T> : import("vue").Ref<UnwrapRef<Errors<T>>>;
    isValid: import("vue").Ref<boolean>;
    validate: () => Promise<ValidationResult<T>>;
};
export {};
//# sourceMappingURL=use-zod-validator.d.ts.map